# engine_gui.h File Reference

Engine GUI functions, used by build_vehicle_gui and autoreplace_gui. More...

`#include "sortlist_type.h"`

Go to the source code of this file.

## Typedefs
typedef GUIList< EngineID > | GUIEngineList
typedef int CDECL | EngList_SortTypeFunction (const void *, const void *)
| argument type for EngList_Sort()
## Functions
void | EngList_Sort (GUIEngineList *el, EngList_SortTypeFunction compare)
| qsort of the engine list
void | EngList_SortPartial (GUIEngineList *el, EngList_SortTypeFunction compare, uint begin, uint num_items)
| qsort of specified portion of the engine list

## Detailed Description

Engine GUI functions, used by build_vehicle_gui and autoreplace_gui.

Definition in file engine_gui.h.

## Function Documentation

void EngList_Sort | ( | GUIEngineList * | el,
|  | EngList_SortTypeFunction | compare |
| ) |  |  |

qsort of the engine list

qsort of the engine list

Parameters:

  | el | list to be sorted
  | compare | function for evaluation of the quicksort

Definition at line 222 of file engine_gui.cpp.

Referenced by ReplaceVehicleWindow::GenerateReplaceVehList().

void EngList_SortPartial | ( | GUIEngineList * | el,
|  | EngList_SortTypeFunction | compare,
|  | uint | begin,
|  | uint | num_items |
| ) |  |  |

qsort of specified portion of the engine list

qsort of specified portion of the engine list

Parameters:

  | el | list to be sorted
  | compare | function for evaluation of the quicksort
  | begin | start of sorting
  | num_items | count of items to be sorted

Definition at line 237 of file engine_gui.cpp.